<?
include("../fnc.php");
//error_reporting(E_ALL);
enlinea_alumno();

$txtarchivo=$_FILES['txtarchivo']['tmp_name'];

if(!$txtarchivo){

  alert("Seleccione un archivo","javascript:history.go(-1)");

}



if(!$idt){

  alert("Parámetros incorrectos","javascript:history.go(-1)");

}

$id_tr=dec($idt);

$id_cr=dec($cid);





switch($tipo_upload){

case "new":

if($txtarchivo){
     $narchivo=$_FILES['txtarchivo']['name'];

     $tmparchivo=$txtarchivo;

     @mkdir("../tarea_al",0777);

     @mkdir("../tarea_al/$uuser",0777);
     @chmod("../tarea_al/$uuser",0777);
     @mkdir("../tarea_al/$uuser/$id_tr",0777);
     @chmod("../tarea_al/$uuser/$id_tr",0777);
     $file="../tarea_al/$uuser/$id_tr/$narchivo";

     copy($txtarchivo,"../tarea_al/$uuser/$id_tr/$narchivo");



     $sqlins="insert into respuesta_tareas

              set alumno='$uuser', tarea=$id_tr, respuesta='$file',

              fecha='$fechahora', curso='$id_cr', ip='$rmhost'";



     $ins=mysql_query($sqlins);

   }

   if($ins and file_exists($file)){

    alert("Tarea cargada con éxito","tareas.php?cid=$cid");

   }else{

    alert("Error: La tarea no pudo ser entregada,\\npor favor intente de nuevo","javascript:history.go(-1)");

   }

break;



case "old":

$qarch=mysql_query("select * from respuesta_tareas where tarea='$id_tr' and alumno='$uuser'");

$iarch=mysql_fetch_array($qarch);



@unlink($iarch[respuesta]);

$del=mysql_query("delete from respuesta_tareas where tarea = '$id_tr' and alumno='$uuser'");

$txtarchivo=$_FILES['txtarchivo']['tmp_name'];

if($txtarchivo){

     $narchivo=$_FILES['txtarchivo']['name'];

     $tmparchivo=$txtarchivo;

     @mkdir("../tarea_al",0777);

     @mkdir("../tarea_al/$uuser",0777);
      chmod("../tarea_al/$uuser",0777);
     @mkdir("../tarea_al/$uuser/$id_tr",0777);
      chmod("../tarea_al/$uuser/$id_tr",0777);
     $file="../tarea_al/$uuser/$id_tr/$narchivo";

     copy($txtarchivo,"../tarea_al/$uuser/$id_tr/$narchivo");



     $sqlins="insert into respuesta_tareas

              set alumno='$uuser', tarea=$id_tr, respuesta='$file',

              fecha='$fechahora', curso='$id_cr', ip='$rmhost'";



     $ins=mysql_query($sqlins);

   }

   if($ins and file_exists($file)){

    alert("Tarea cargada con éxito","tareas.php?cid=$cid");

   }else{

    alert("Error: La tarea no pudo ser entregada,\\npor favor intente de nuevo","javascript:history.go(-1)");

   }



break;

}

?>
